Subject: [Tzdist-bis] draft-murchison-tzdist-tzif-10.txt shepherd write-up

From: Eliot Lear <[email-masked]>
Date: Sun, 19 Aug 2018 11:36:25 +0200

Alexey,

Please see below.  We're ready to move forward with
draft-murchison-tzdist-tzif-10.txt.  Some additional reviews may require
your action below.

Eliot

> (1) What type of RFC is being requested (BCP, Proposed Standard,
> Internet Standard, Informational, Experimental, or Historic)? Why is
> this the proper type of RFC? Is this type of RFC indicated in the
> title page header?
> 
Proposed Standard.

> (2) The IESG approval announcement includes a Document Announcement
> Write-Up. Please provide such a Document Announcement Write-Up. Recent
> examples can be found in the "Action" announcements for approved
> documents. The approval announcement contains the following sections:
> 
> Technical Summary
> 
> Relevant content can frequently be found in the abstract and/or
> introduction of the document. If not, this may be an indication that
> there are deficiencies in the abstract or introduction.

   This document defines the Time Zone Information Format (TZif) for
   representing and exchanging time zone information, independent of
   any particular service or protocol.  Two MIME media types for this
   format are also defined.  Note that this format has existed for
   over three decades in one form or another.

> 
> Working Group Summary
> 
> Was the document considered in any WG, and if so, why was it not
> adopted as a work item there? Was there controversy about particular
> points that caused the WG to not adopt the document?

This document was not considered by any existing working group. The AD
considered creating a WG, but it was thought that things were moving
quickly enough with the right people without one.

> 
> Document Quality
> 
> Are there existing implementations of the protocol? Have a significant
> number of vendors indicated their plan to implement the
> specification?

This format is widely deployed.

> Are there any reviewers that merit special mention as having done a
> thorough review, e.g., one that resulted in important changes or a
> conclusion that the document had no substantive issues? If there was a
> MIB Doctor, Media Type or other expert review, what was its course
> (briefly)? In the case of a Media Type review, on what date was the
> request posted?

Ned Freed did a media-type review on June 6, 2018.  However, a second
review is requested, as the media-type entries have changed.

> 
> Personnel
> 
> Who is the Document Shepherd? Who is the Responsible Area Director?

Eliot Lear is the Shepherd.  Alexey Melnikov is the responsible AD.

> 
> (3) Briefly describe the review of this document that was performed by
> the Document Shepherd. If this version of the document is not ready
> for publication, please explain why the document is being forwarded to
> the IESG.

The shepherd has implemented the draft (sans leap seconds) to validate it.

> 
> (4) Does the document Shepherd have any concerns about the depth or
> breadth of the reviews that have been performed?

Not yet.

> 
> (5) Do portions of the document need review from a particular or from
> broader perspective, e.g., security, operational complexity, AAA, DNS,
> DHCP, XML, or internationalization? If so, describe the review that
> took place.

Additional media-type review, ART, Security, Ops, GenART.

> 
> (6) Describe any specific concerns or issues that the Document
> Shepherd has with this document that the Responsible Area Director
> and/or the IESG should be aware of? For example, perhaps he or she is
> uncomfortable with certain parts of the document, or has concerns
> whether there really is a need for it. In any event, if the interested
> community has discussed those issues and has indicated that it still
> wishes to advance the document, detail those concerns here.

The leap second processing text is intricate, especially when
truncation occurs.  The mailing list spent an extensive amount of
time on this aspect, and there is consensus on what is there now.
This having been said, additional operational experience will bear out
whether it is properly interpreted over time.  Having multiple existing
implementations, at least one of which is open source should mitigate
this risk.

> 
> (7) Has each author confirmed that any and all appropriate IPR
> disclosures required for full conformance with the provisions of BCP
> 78 and BCP 79 have already been filed. If not, explain why.

Yes.

> 
> (8) Has an IPR disclosure been filed that references this document? If
> so, summarize any discussion and conclusion regarding the IPR
> disclosures.

No.

> 
> (9) How solid is the consensus of the interested community behind this
> document? Does it represent the strong concurrence of a few
> individuals, with others being silent, or does the interested
> community as a whole understand and agree with it?

Among the small community of participants, there is strong consensus.

> 
> (10) Has anyone threatened an appeal or otherwise indicated extreme
> discontent? If so, please summarise the areas of conflict in separate
> email messages to the Responsible Area Director. (It should be in a
> separate email because this questionnaire is publicly available.)
> 

No one has threatened to appeal, nor is there at this point disagreement.

> (11) Identify any ID nits the Document Shepherd has found in this
> document. (See http://www.ietf.org/tools/idnits/ and the
> Internet-Drafts Checklist). Boilerplate checks are not enough; this
> check needs to be thorough.

There are a few nits, but these appear to be the nits tool and not the
document.  In particular, the document isn't properly recognizing
different types or references or the updated 2119 boiler template, and
it is parsing URLs in the references section and complaining that
there is no reference.

> 
> (12) Describe how the document meets any required formal review
> criteria, such as the MIB Doctor, media type, and URI type reviews.

Review performed by a designated expert, but see above.

> 
> (13) Have all references within this document been identified as
> either normative or informative?

Yes.

> 
> (14) Are there normative references to documents that are not ready
> for advancement or are otherwise in an unclear state? If such
> normative references exist, what is the plan for their completion?

No.

> 
> (15) Are there downward normative references references (see RFC
> 3967)? If so, list these downward references to support the Area
> Director in the Last Call procedure.

Not unless we view POSIX as a downref.

> 
> (16) Will publication of this document change the status of any
> existing RFCs? Are those RFCs listed on the title page header, listed
> in the abstract, and discussed in the introduction? If the RFCs are
> not listed in the Abstract and Introduction, explain why, and point to
> the part of the document where the relationship of this document to
> the other RFCs is discussed. If this information is not in the
> document, explain why the interested community considers it
> unnecessary.

This document does not change the status of any other work.

> 
> (17) Describe the Document Shepherd's review of the IANA
> considerations section, especially with regard to its consistency with
> the body of the document. Confirm that all protocol extensions that
> the document makes are associated with the appropriate reservations in
> IANA registries. Confirm that any referenced IANA registries have been
> clearly identified. Confirm that newly created IANA registries include
> a detailed specification of the initial contents for the registry,
> that allocations procedures for future registrations are defined, and
> a reasonable name for the new registry has been suggested (see RFC
> 5226).

No new registries are created.  Existing registries are updated in
accordance with appropriate templates and procedures, but see above
re the media-type.

> 
> (18) List any new IANA registries that require Expert Review for
> future allocations. Provide any public guidance that the IESG would
> find useful in selecting the IANA Experts for these new registries.
> 

n/a

> (19) Describe reviews and automated checks performed by to validate
> sections of the document written in a formal language, such as XML
> code, BNF rules, MIB definitions, etc.
> 

This document does not specify formal grammar, but a file format.  As
such, no XML, BNF, or MIB definitions exist.